export declare function getConsumerComponent({ id, compare, allVersions, }: {
    id: string;
    compare: boolean;
    allVersions: boolean | null | undefined;
}): Promise<import("@teambit/legacy/dist/consumer/component").default[] | {
    component: import("@teambit/legacy/dist/consumer/component").default;
    componentModel: import("@teambit/legacy/dist/consumer/component").default;
} | {
    component: import("@teambit/legacy/dist/consumer/component").default;
    componentModel?: undefined;
}>;
